public final class Address {
  private String street;
  private String city;
  private String state;
  private String zip;

  /** TWorzy adres z ulic¹, miastem, stanem i kodem pocztowym. */
  public Address(String street, String city,
    String state, String zip) {
    this.street = street;
    this.city = city;
    this.state = state;
    this.zip = zip;
  }

  /** Zwraca ulicê */
  public String getStreet() {
    return street;
  }

  /** Zwraca miasto */
  public String getCity() {
    return city;
  }

  /** Zwraca stan */
  public String getState() {
    return state;
  }

  /** Zwraca kod */
  public String getZip() {
    return zip;
  }

  /** Pobiera pe³ny adres */
  public String getFullAddress() {
    return street + '\n' + city + ", " + state + ' ' + zip + '\n';
  }
}
